#!/usr/bin/make -f

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^(\./\.git(/.*)?|\./debian(/.*)?|.*\.xcuserstate)$

ifeq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	PORTABLE=ON
else
	PORTABLE=OFF
endif

%:
	dh $@ --sourcedirectory=pd

override_dh_auto_configure:
	ln -s /usr/share/cmake/pd.build pd/
	dh_auto_configure -- -DPORTABLE=$(PORTABLE)
override_dh_auto_clean:
	dh_auto_clean
	rm -rf pd/pd.build
	rm -f pd/*.pd_linux
	rm -rf src/CMakeFiles/ src/Makefile src/*.cmake
	find src/ "(" -name "*.o" -or -name "*.a" -or -name "*.asm" ")" -delete
override_dh_auto_install:
	# broken..., just use d/*.install instead
override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/ -name '*.pd_linux' -exec \
		chmod 0644 {} +


licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
